GETPOST
v1.0.0stable

Get Certificate

Retrieve a certificate using the token and either a certificate ID or UDID. Smart selection applies when querying by UDID

GET | POST/api/getcertificate
Auth:API Key
Granica:120/minute

Parametry żądania

Wszystkie parametry mogą być przekazywane za pośrednictwem zapytania lub ciała

ParametrRodzajWymaganeOpis
token
stringWymagane
User API token
Przykład: your_api_token_here
id
stringOpcjonalnie
Certificate ID. Either id or udid is required. If both are provided, id takes priority
Przykład: AB12CD34
udid
stringOpcjonalnie
Device UDID. Either id or udid is required. Smart selection applies when querying by UDID
Przykład: 00008020-001A2B3C4D5E6F78

Odpowiedź

ParametrRodzajWymaganeOpis
code
numberWymagane
Status code: 1=success, 0=failure, 2=no available certificate, 3=certificate expired
Przykład: 1
msg
stringWymagane
Response message
Przykład: 返回成功
time
numberWymagane
Server timestamp (Unix seconds)
Przykład: 1769675945
data
objectWymagane
Response payload
data.id
stringWymagane
Certificate ID
Przykład: AB12CD34
data.pname
stringWymagane
Project name
Przykład: MyApp
data.addtime
numberWymagane
Added time (Unix timestamp)
Przykład: 1706500000
data.pool
numberWymagane
Pool: 0=public, 1=private
Przykład: 0
data.type
numberWymagane
Pool type: 0=public, 1=private
Przykład: 0
data.mobileprovision
stringWymagane
Base64-encoded mobileprovision
Przykład: MIIPhgYJKoZIhvcNAQcCoII...(Base64)
data.p12
stringWymagane
Base64-encoded P12 certificate
Przykład: MIINDgIBAzCCDMsGCSqGSIb3DQEHAa...(Base64)
data.state
booleanWymagane
Certificate validity: true=valid, false=revoked
Przykład: true
data.warranty
booleanWymagane
Whether warranty is active
Przykład: true
data.warranty_time
numberWymagane
Warranty expiration time (Unix timestamp)
Przykład: 1738000000
data.shtype
numberWymagane
Warranty type: 0/1/2/3/4/6
Przykład: 1
ysucc
stringWymagane
Success flag, returns "Ysucc" on success
Przykład: Ysucc
Przykład odpowiedzi
{
"code":1,
"msg":"Success",
"time":1769675945,
"data":
{
"id":"AB12CD34",
"pname":"MyApp",
"addtime":1706500000,
"pool":0,
"type":0,
"mobileprovision":"MIIPhgYJKoZIhvcNAQcCoII...(Base64)",
"p12":"MIINDgIBAzCCDMsGCSqGSIb3DQEHAa...(Base64)",
"state":true,
"warranty":true,
"warranty_time":1738000000,
"shtype":1
}
,
"ysucc":"Ysucc"
}

Kod błędu

Kod błędu7 zdefiniowane
0
Token verification failed
Invalid or expired token
0
At least one of certificate ID or UDID must be provided
Either id or udid parameter is required
0
Certificate ID not found
Certificate ID does not exist or does not belong to current user

Język odpowiedzi

Dostosuj język odpowiedzi API do nagłówka X- Lang. Poniższe przykłady kodów automatycznie korzystają z aktualnego języka strony.

Zalecany nagłówek
X-Lang: pl
Obsługiwane języki
zh, en, zh-TW, vi, ar, es, ru

Obsługiwane jest również Accept- Language; X- Lang ma pierwszeństwo. Nieobsługiwane języki podążają za zapasami języka strony.

Przykłady kodów

curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/getcertificate?token=your_api_token_here&id=AB12CD34&udid=00008020-001A2B3C4D5E6F78" \
  -H "X-Lang: pl"

Uwagi

  • 支持 GET 和 POST 请求
  • 参数通过 Query 或 x-www-form-urlencoded 传递
  • id 和 udid 二选一,同时提供时优先使用 id
  • 通过 UDID 查询时智能选择最佳证书:优先返回正常状态,其次返回掉签但未禁用的证书
  • state=false 表示证书已掉签,但仍可下载使用(可能无法安装应用)
  • warranty_time 为售后到期时间,到期后如掉签需要重新买

Spróbuj w konsoli

Wypełnij poniższe parametry i wyślij wniosek o przetestowanie. Żądania są kierowane tylko do API tej witryny; adres URL jest zablokowany i nie może być zmieniony, a obecne pliki cookie logowania są włączone.

https://testypro.iwai.cc/api/getcertificate?token=your_api_token_here&id=AB12CD34&udid=00008020-001A2B3C4D5E6F78Zamknięte na tej stronie
stringWymagane

User API token

string

Certificate ID. Either id or udid is required. If both are provided, id takes priority

string

Device UDID. Either id or udid is required. Smart selection applies when querying by UDID